{% extends "admin_pages_app/base.html" %}
<style>
    .form-inline{
        display: -ms-flexbox;
        display: flex;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        -ms-flex-align: center;
        align-items: center;
    }

    #search-bar{
        margin-bottom: 1rem;
    }
</style>
{% block content %}
    <div id="content-main" class="col-12">
        {% if error %}
            <h1 class="text-center">{{ error }}</h1>
        {% else %}
            <h1 class="text-center mb-4">{{ title }}</h1>
            <div class="justify-content-center d-flex">
                {% comment %} <h1 class="text-center">{{ table_header_row }}</h1> {% endcomment %}
            </div>
        {% endif %}
    </div>
    <div class="input-group rounded"
         id="search-bar"
         style="margin-bottom: 1rem">
        <form class="form-inline">
            <form class="search"
                  class="form-control rounded"
                  action="{% url "admin_pages_app:order-details" %}"
                  method="post">
                {% csrf_token %}
                <input type="search"
                       class="form-control rounded"
                       placeholder="Enter discussion id..."
                       name="search_query"
                       value="{{ query }}"
                       required>
                <button type="submit" class="btn btn-outline-info">Search</button>
            </form>
        </form>
    </div>
    <table class="table table-striped table-sm" id="orderTable">
        <thead class="thead-dark">
            <tr>
                {% for header in table_header_row %}<th scope="col" style="text-align: center;">{{ header }}</th>{% endfor %}
            </tr>
        </thead>
        <tbody>
            {% for order in objects %}
                <tr>
                    <th scope="row" textalign="center" style="text-align: center;">
                        <form method="post" action="{% url "admin_pages_app:make-refunds" %}">
                            {% csrf_token %}
                            {% if order.refunded == True %}
                                <input type="checkbox" value={{ order.charge }} name="checkbox_charge" disabled/>
                            {% else %}
                                <input type="checkbox" value={{ order.charge }} name="checkbox_charge" />
                            {% endif %}
                        </th>
                        <td style="text-align: center;">{{ order.id }}</td>
                        <td style="text-align: center;">{{ order.user.id }}</td>
                        <td style="text-align: center;">{{ order.user_email }}</td>
                        <td style="text-align: center;">{{ order.discussion.id }}</td>
                        <td style="text-align: center;">{{ order.charge }}</td>
                        <td style="text-align: center;">{{ order.payment_status }}</td>
                        <td style="text-align: center;">{{ order.created_at }}</td>
                        <td style="text-align: center;">{{ order.updated_at }}</td>
                        <td style="text-align: center;">{{ order.is_confirmed }}</td>
                        <td style="text-align: center;">{{ order.refunded }}</td>
                    </tr>
                {% endfor %}
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="11" align="right">
                        <button type="submit" name="refund" class="btn btn-outline-info">Refund</button>
                    </form>
                </td>
            </tr>
        </tfoot>
    </table>
{% endblock content %}
